Module java.desktop
Package javax.swing.plaf.basic

# Class BasicComboPopup.ListSelectionHandler

java.lang.Object
javax.swing.plaf.basic.BasicComboPopup.ListSelectionHandler

All Implemented Interfaces:
  `EventListener`, `ListSelectionListener`

Enclosing class:
  `BasicComboPopup`

protected class BasicComboPopup.ListSelectionHandler extends Object implements ListSelectionListener
As of Java 2 platform v 1.4, this class is now obsolete, doesn't do anything, and is only included for backwards API compatibility. Do not call or override.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`ListSelectionHandler()`
Constructs a `ListSelectionHandler`.

## Method Summary

Modifier and Type
Method
Description
`void`
`valueChanged(ListSelectionEvent e)`
Called whenever the value of the selection changes.

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ListSelectionHandler

protected ListSelectionHandler()
Constructs a `ListSelectionHandler`.

## Method Details

### valueChanged

public void valueChanged(ListSelectionEvent e)
Description copied from interface: `ListSelectionListener`
Called whenever the value of the selection changes.

Specified by:
  `valueChanged` in interface `ListSelectionListener`
Parameters:
  `e` - the event that characterizes the change.